Fonctions IDN
idn_to_unicode
Fonctions IDN
PHP Manual

# idn_to_ascii

(PHP 5 >= 5.3.0, PECL intl >= 1.0.2)

idn_to_ascii — Convertie un nom de domaine au format IDNA ASCII

### Description

Style procédural

string idn_to_ascii ( string `$domain` [, int `$options` ] )

Cette fonction convertit un nom de domaine Unicode au format IDNA ASCII-compatible.

### Liste de paramètres

`domain`

  Domaine à convertir. En PHP 5, il doit être encodé UTF-8.

`options`

  Options de conversion - combinaison de constantes IDNA_*.

### Valeurs de retour

Le nom de domaine encodé au format ASCII-compatible.

### Exemples

Exemple #1 Exemple avec idn_to_ascii()

`<?php
echo idn_to_ascii('täst.de');
?>`

L'exemple ci-dessus va afficher :

    xn--tst-qla.de

### Voir aussi

- idn_to_unicode() - Alias de idn_to_utf8

Fonctions IDN
idn_to_unicode
Fonctions IDN
PHP Manual